Bug 73462 - hdtree based update fails if source tree is located on root partition
hdtree based update fails if source tree is located on root partition
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-04 18:29 EDT by Mike McLean
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 02:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full traceback (38.09 KB, text/plain)
2002-09-04 18:30 EDT, Mike McLean
no flags Details

  None (edit)
Description Mike McLean 2002-09-04 18:29:36 EDT
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/text.py", line 402,
in run
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/dispatch.py", line
251, in currentStep
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/dispatch.py", line
150, in gotoNext
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/dispatch.py", line
215, in moveStep
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/packages.py", line
115, in readPackages
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/harddrive.py", line
82, in readHeaders
  File "/usr/src/build/146294-i386/install//usr/lib/anaconda/comps.py", line
223, in __init__
rpm404.error: (2, 'No such file or directory')

Local variables in innermost frame:
path: /mnt/sysimage//RedHat/base/hdlist
self: <comps.HeaderListFromFile instance at 0x838ff7c>
noscore: 0
compatPackages: None
Comment 1 Mike McLean 2002-09-04 18:30:03 EDT
Created attachment 74925 [details]
full traceback
Comment 2 Jeremy Katz 2002-09-04 18:53:29 EDT
That's saying that RedHat/base/hdlist doesn't exist -- what type of hard drive
upgrade is this (iso or tree)?
Comment 3 Mike McLean 2002-09-04 20:25:18 EDT
tree

and the tree is located in the root partition of the base 6.2 install.

and, yes, hdlist is there

hard drive is an ide (although there is a Adaptec scsi controller in the system
with no drives attached)

Case replicates readily on this machine.  Haven't tried others (there are not
many machines round here that can take a 6.2 install).
Comment 4 Mike McLean 2002-09-06 09:52:08 EDT
further testing reveals that this bug is confined to hd-tree upgrades from 6.2
where the tree is located on the root partition to be upgraded.

In particular, 
 - hd-iso works whether the isos are located on the root partition or a separate
one.
 - hd-tree works if the tree is located on its own partition
Comment 5 Mike McLean 2002-09-06 10:56:40 EDT
Also observed with similar upgrade from 7.2.
Comment 6 Jeremy Katz 2003-01-10 02:46:21 EST
hdtree is dead

Note You need to log in before you can comment on or make changes to this bug.